* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  transition: 0.5s;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Lato", Arial, sans-serif;
  font-size: 22px;
  text-transform: uppercase;
  letter-spacing: 0.2rem;
  height: 100vh;
  background-color: #ffcce7;
  overflow: hidden;
}

.main {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 200px;
  height: 60px;
  border-radius: 7px;
  cursor: pointer;
  perspective: 500px;
  user-select: none;
}

.container {
  width: 100%;
  height: 100%;
  position: absolute;
  transform-style: preserve-3d;
  border-radius: 7px;
}

.front,
.back {
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: #320d3e;
  color: white;
  border-radius: 7px;
  text-align: center;
  line-height: 60px;
  backface-visibility: hidden;
}

.back {
  background-color: #004406;
  color: white;
  transform: rotateX(180deg);
}
